## org.eclipse.datatools.sqltools.routineeditor.ui.launching
Class LaunchUI

    java.lang.Object
      org.eclipse.datatools.sqltools.routineeditor.ui.launching.LaunchUI

    public class LaunchUI

extends java.lang.Object

Author:
  Yang Liu

Constructor Summary
`LaunchUI()`

Method Summary
`static boolean` `configEventParameters(org.eclipse.swt.widgets.Shell shell, java.lang.String[] pNames, java.util.Map eventTriggerParams, org.eclipse.datatools.sqltools.core.ProcIdentifier proc)` This dialog will popup a dialog for user to config the event trigger parameter dialog.
`static java.util.List` `configParameter(org.eclipse.swt.widgets.Shell shell, org.eclipse.datatools.sqltools.core.dbitem.ParameterDescriptor[] pds, java.util.List valueList, boolean always, org.eclipse.debug.core.ILaunchConfiguration configuration)` This method will popup a dialog for config parameter values.
`static org.eclipse.datatools.sqltools.core.ProcIdentifier` `getActiveProcIdentifier()` get the current procidentifier from UI.
`static org.eclipse.datatools.sqltools.core.dbitem.ParameterWrapper[]` `getParameterWrapper(org.eclipse.datatools.sqltools.core.dbitem.ParameterDescriptor[] pds, java.util.List valueList)`
`static org.eclipse.datatools.sqltools.core.ProcIdentifier` `selectDatabaseObject(org.eclipse.swt.widgets.Shell shell, org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier, int type, org.eclipse.datatools.sqltools.core.ProcIdentifier old)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LaunchUI

    public LaunchUI()

Method Detail

### configParameter

    public static java.util.List configParameter(org.eclipse.swt.widgets.Shell shell,
                                                 org.eclipse.datatools.sqltools.core.dbitem.ParameterDescriptor[] pds,
                                                 java.util.List valueList,
                                                 boolean always,
                                                 org.eclipse.debug.core.ILaunchConfiguration configuration)

  This method will popup a dialog for config parameter values.

  Parameters:
    `shell` -
    `pds` - parameter descriptors. can't be null
    `valueList` - this parameter is both input and output. Input as initial value. Output as result value if success. can't be null.
    `always` - whether always popup a dialog even though no parameter is needed.
  Returns:
    null means the user clicks Cancel not null means the parameter configs are modified

### getParameterWrapper

    public static org.eclipse.datatools.sqltools.core.dbitem.ParameterWrapper[] getParameterWrapper(org.eclipse.datatools.sqltools.core.dbitem.ParameterDescriptor[] pds,
                                                                                                    java.util.List valueList)

  Parameters:
    `pds` -
    `valueList` -
    `wrappers` -

### configEventParameters

    public static boolean configEventParameters(org.eclipse.swt.widgets.Shell shell,
                                                java.lang.String[] pNames,
                                                java.util.Map eventTriggerParams,
                                                org.eclipse.datatools.sqltools.core.ProcIdentifier proc)

  This dialog will popup a dialog for user to config the event trigger parameter dialog.

  Parameters:
    `shell` -
    `pNames` - the parameter names.
    `eventTriggerParams` - this is both input and output. Input as initial value, output as result value. String->string map.
    `eventTypeId` - the current event type id.
  Returns:
    true if success, false is user canceled.

### getActiveProcIdentifier

    public static org.eclipse.datatools.sqltools.core.ProcIdentifier getActiveProcIdentifier()

  get the current procidentifier from UI. If currently a ProcIdentifier is selected, or if the active editor is showing a proc, then that is returned. Otherwise will return null

  Returns:

### selectDatabaseObject

    public static org.eclipse.datatools.sqltools.core.ProcIdentifier selectDatabaseObject(org.eclipse.swt.widgets.Shell shell,
                                                                                          org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier,
                                                                                          int type,
                                                                                          org.eclipse.datatools.sqltools.core.ProcIdentifier old)
                                                                                   throws java.sql.SQLException,
                                                                                          org.eclipse.datatools.sqltools.core.profile.NoSuchProfileException

  Parameters:
    `shell` -
    `profile` -
    `type` - FIXME: here if type is TYPE_SP, then covers both TYPE_SP and TYPE_UDF
    `old` -
  Returns:
  Throws:
    `java.sql.SQLException`
    `org.eclipse.datatools.sqltools.core.profile.NoSuchProfileException`